You are here: Home » Reply » Reply To: Install Firefly on OpenWRT – error: "not found"

Reply To: Install Firefly on OpenWRT – error: "not found"

#14153
Anonymous
Inactive

@Martinierius wrote:

These are the installed packages installed by ipkg:


alac-decoder - 0.1.0-2
bash - 3.2.17-1
flac - 1.1.4-1
ivorbis-tools - 1.0-6
libao - 0.8.8-1
libcurl - 7.17.0-2
libid3tag - 0.15.1b-1
libogg - 1.1.3-3
libvorbis - 1.1.2-5
libvorbisidec - cvs-20050221-2
mss-ld-so - 1.0-1
mss-libhelper - 1.0-1
hdn-tools-3.2.3
mt-daapd - svn-1696-1
ncurses - 5.6-1
openssl - 0.9.7m-3
readline - 5.2-2
sqlite - 3.4.1-1
sqlite2 - 2.8.16-1
zlib - 1.2.3-2

And this is strange… ipkg-opt gives me the same list? In fact the list seems to hold the packages installed by ipkg-opt. Ipkg has a different list of packages (for example samba).

I found the cause for this: ipkg-opt was first in the path-list.
When I run:

/bin/ipkg list_installed

I get the packages installed by ipkg:

base-files - 9 - OpenWrt filesystem structure and scripts
base-files-brcm - 2 - Board/architecture specific files
bridge - 1.0.6-1 - Ethernet bridging tools
busybox - 1.00-5 - Core utilities for embedded Linux systems
dnsmasq - 2.35-1 - A lightweight DNS and DHCP server
dropbear - 0.48.1-1 - a small SSH 2 server/client designed for small memory environments.
haserl - 0.8.0-1 - a CGI wrapper to embed shell scripts in HTML documents
ip - 2.6.11-050330-1 - iproute2 routing control utility
ipkg - 0.99.149-2 - lightweight package management system
ipkg-opt - 0.99.163-9 -
ipkg-sh - 0.99.149-2 - lightweight package management system (shell version)
iptables - 1.3.3-2 - The netfilter firewalling software for IPv4
iwlib - 28.pre7-1 - Library for setting up WiFi cards using the Wireless Extension
kernel - 2.4.30-brcm-5 -
kmod-brcm-wl - 2.4.30-brcm-5 - Proprietary driver for Broadcom Wireless chipsets
kmod-diag - 2.4.30-brcm-5 - Kernel modules for LEDs and buttons
kmod-ext2 - 2.4.30-brcm-5 - Kernel modules for EXT2 filesystem support
kmod-ext3 - 2.4.30-brcm-5 - Kernel modules for EXT3 filesystem support
kmod-switch - 2.4.30-brcm-1 - switch driver for robo/admtek switch
kmod-usb-core - 2.4.30-brcm-5 - Kernel Support for USB
kmod-usb-storage - 2.4.30-brcm-5 - Kernel modules for USB storage support
kmod-usb2 - 2.4.30-brcm-5 - Kernel driver for USB2 controllers
kmod-wlcompat - 2.4.30-brcm-4 - Compatibility module for using the Wireless Extension with broadcom
libgcc - 3.4.4-9 - GCC support library
libncurses - 5.2-7 - a terminal handling library and common terminal definitions
libpopt - 1.7-4 - a command line option parsing library
mtd - 5 - Tool for modifying the flash chip
nvram - 1 - NVRAM utility and libraries for Broadcom hardware
rsync - 2.6.5-0 - utility that provides fast incremental file transfer
samba-server - 2.0.10-2 - NetBIOS/SMB file and print server
screen - 4.0.2-1 - A 'window manager' for the terminal session
swap-utils - 2.12r-1 - Swap space management utilities
uclibc - 0.9.27-9 - Standard C library for embedded Linux systems
uclibc-opt - 0.9.28-12 -
webif - 0.2-1 - A modular, extensible web interface for OpenWrt.
wificonf - 6 - Replacement utility for wlconf